XnListT< T, TAlloc >::Iterator Class Reference

`#include <XnListT.h>`

Inheritance diagram for XnListT< T, TAlloc >::Iterator:
[legend]

## Public Member Functions

| Iterator ()
| Iterator (LinkedNode *pNode)
| Iterator (const Iterator &other)
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
T & | operator* () const
T * | operator-> () const
Public Member Functions inherited from XnListT< T, TAlloc >::ConstIterator
| ConstIterator ()
| ConstIterator (LinkedNode *pNode)
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
T const & | operator* () const
T const * | operator-> () const

## Additional Inherited Members

Protected Attributes inherited from XnListT< T, TAlloc >::ConstIterator
LinkedNode * | m_pCurrent

## Detailed Description

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>
class XnListT< T, TAlloc >::Iterator

An iterator for iterating the list

## Constructor & Destructor Documentation

## Iterator() [1/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::Iterator::Iterator | ( |  | ) |

inline

## Iterator() [2/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::Iterator::Iterator | ( | LinkedNode * | pNode | ) |

inline

## Iterator() [3/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::Iterator::Iterator | ( | const Iterator & | other | ) |

inline

## Member Function Documentation

## operator*()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T & XnListT< T, TAlloc >::Iterator::operator* | ( |  | ) | const

inline

Get the value of the current object

## operator++() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

Iterator & XnListT< T, TAlloc >::Iterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

Iterator XnListT< T, TAlloc >::Iterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

Iterator & XnListT< T, TAlloc >::Iterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

Iterator XnListT< T, TAlloc >::Iterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## operator->()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T * XnListT< T, TAlloc >::Iterator::operator-> | ( |  | ) | const

inline

Get a pointer to the value of the current object

The documentation for this class was generated from the following file:

- XnListT.h